import { jsx } from "react/jsx-runtime";
import { TramIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Tram = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Tram", ...props, children: /* @__PURE__ */ jsx(TramIcon, { weight: variant }) });
  }
);
Tram.displayName = "Tram";
Object.assign(Tram, { isGdsIcon: true });
export {
  Tram
};
